Wallets, tokens & networks

Create Wallet Transfer

Records an audit row for a client-executed wallet transfer, resolving token type and explorer link.

POSThttps://api.toku.com/tga/create-wallet-transfer

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/create-wallet-transfer' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "fromAddress": "string",
  "toAddress": "string",
  "tokenAmount": "string",
  "tokenSymbol": "string",
  "network": "string",
  "tokenID": "string",
  "transactionHash": "string",
  "transactionLink": "string",
  "clientTransactionId": "string",
  "status": "PENDING",
  "errorMessage": "string",
  "transferType": "DIRECT",
  "chainId": 0,
  "smartAccountAddress": "string",
  "userOpHash": "string",
  "estimatedFee": "string"
}'
200 response
{
  "success": true,
  "walletTransferID": "string",
  "transactionHash": "string",
  "transactionLink": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

fromAddressstringrequired

Allowed: at least 1 characters

toAddressstringrequired

Allowed: at least 1 characters

tokenAmountstringrequired

Allowed: at least 1 characters

tokenSymbolstringrequired

Allowed: at least 1 characters

networkstringrequired

Allowed: at least 1 characters

tokenIDstring
transactionHashstringrequired
transactionLinkstring
clientTransactionIdstring
statusstring

Available options: PENDING, CONFIRMED, FAILED, SUBMITTED

errorMessagestring

Allowed: at most 1000 characters

transferTypestring

Available options: DIRECT, GASLESS_7702

chainIdnumber
smartAccountAddressstring
userOpHashstring
estimatedFeestring

Response

200Successful response
successbooleanrequired
walletTransferIDstringrequired
transactionHashstring | nullrequired
transactionLinkstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits